Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid.event
Class EditorGridListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.grid.event.EditorGridListenerAdapter

All Implemented Interfaces:
  EditorGridListener

    public class EditorGridListenerAdapter

extends java.lang.Object
implements EditorGridListener

Constructor Summary
`EditorGridListenerAdapter()`

Method Summary
`boolean` | `doBeforeEdit(GridPanel grid, Record record, java.lang.String field, java.lang.Object value, int rowIndex, int colIndex)` Fires before cell editing is triggered.
`boolean` | `doValidateEdit(GridPanel grid, Record record, java.lang.String field, java.lang.Object value, java.lang.Object originalValue, int rowIndex, int colIndex)` Fires after a cell is edited, but before the value is set in the record.
`void` | `onAfterEdit(GridPanel grid, Record record, java.lang.String field, java.lang.Object newValue, java.lang.Object oldValue, int rowIndex, int colIndex)` Fires after a cell is edited.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditorGridListenerAdapter

    public EditorGridListenerAdapter()

Method Detail

### onAfterEdit

    public void onAfterEdit(GridPanel grid,
                            Record record,
                            java.lang.String field,
                            java.lang.Object newValue,
                            java.lang.Object oldValue,
                            int rowIndex,
                            int colIndex)

  Description copied from interface: `EditorGridListener`
  Fires after a cell is edited.

  Specified by:
    `onAfterEdit` in interface `EditorGridListener`
  Parameters:
    `grid` - this
    `record` - the record being edited
    `field` - the field name being edited
    `newValue` - the value being set
    `oldValue` - the original value for the field, before the edit.
    `rowIndex` - the grid row index
    `colIndex` - the grid column index

### doBeforeEdit

    public boolean doBeforeEdit(GridPanel grid,
                                Record record,
                                java.lang.String field,
                                java.lang.Object value,
                                int rowIndex,
                                int colIndex)

  Description copied from interface: `EditorGridListener`
  Fires before cell editing is triggered.

  Specified by:
    `doBeforeEdit` in interface `EditorGridListener`
  Parameters:
    `grid` - This grid
    `record` - the record being edited
    `field` - the field name being edited
    `value` - the value for the field being edited
    `rowIndex` - the grid row index
    `colIndex` - the grid column index
  Returns:
    false to cancel the edit

### doValidateEdit

    public boolean doValidateEdit(GridPanel grid,
                                  Record record,
                                  java.lang.String field,
                                  java.lang.Object value,
                                  java.lang.Object originalValue,
                                  int rowIndex,
                                  int colIndex)

  Description copied from interface: `EditorGridListener`
  Fires after a cell is edited, but before the value is set in the record. Return false to cancel the change.

  Specified by:
    `doValidateEdit` in interface `EditorGridListener`
  Parameters:
    `grid` - this
    `record` - the record being edited
    `field` - the field name being edited
    `value` - the value being set
    `originalValue` - the original value for the field, before the edit
    `rowIndex` - the grid row index
    `colIndex` - the grid column index
  Returns:
    false to cancel the change

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD